Skip to main content
GET
/
brands
/
{brand_id}
/
media
/
v2
/
{media_id}
Retrieve a media object
curl --request GET \
  --url https://library-backend.dashsocial.com/brands/{brand_id}/media/v2/{media_id} \
  --header 'Authorization: Bearer <token>'
{
  "brand_id": 123,
  "brand_media_id": 123,
  "brand_media_status": "<string>",
  "callback_socket_id": "<string>",
  "can_publish_within": {
    "end": "<string>",
    "start": "<string>"
  },
  "caption_question": {
    "is_question": true,
    "user_overridden": true
  },
  "caption_sentiment": {
    "is_negative": true,
    "is_neutral": true,
    "is_positive": true,
    "user_overridden": true
  },
  "collections": {},
  "comment_sentiment": {
    "is_negative": true,
    "is_neutral": true,
    "is_positive": true,
    "user_overridden": true
  },
  "community_engagement": 123,
  "content_rights_expiry_date": "2023-11-07T05:31:56Z",
  "content_rights_requested_by": "<string>",
  "content_rights_requested_date": "2023-11-07T05:31:56Z",
  "content_tags": [
    "Tag 1",
    "Tag 2"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "creator": {
    "avatar_url": "<string>",
    "handle": "<string>"
  },
  "custom_metrics": [
    {
      "aggregation": "<string>",
      "description": "<string>",
      "formula": "<string>",
      "id": 123,
      "metric_format": "<string>",
      "name": "<string>",
      "value": 123
    }
  ],
  "facebook": {},
  "id": 123,
  "image": {
    "sizes": {
      "original": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "medium_square": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "original_converted": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "small": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "small_square": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      }
    },
    "editor_data": {
      "aspect_ratio": "<string>",
      "canvas_data": {
        "height": 123,
        "left": 123,
        "natural_height": 123,
        "natural_width": 123,
        "top": 123,
        "width": 123
      },
      "zoom_value": 123
    },
    "transforms": {
      "crop": {
        "height": 123,
        "width": 123,
        "x": 123,
        "y": 123
      },
      "parent_media_id": 123
    }
  },
  "instagram": {},
  "instagram_ads": {},
  "instagram_story": {},
  "instagram_story_frame": {},
  "instagram_user": {},
  "likeshop": {
    "clicks": 123,
    "links": "<string>",
    "tiktok_clicks": 123
  },
  "linkedin": {},
  "media_group": 123,
  "meta": {
    "filename": "<string>",
    "last_modified_at": "<string>",
    "uploaded_by": 123
  },
  "pinterest": {},
  "predictions": {
    "ad_engagement": 123,
    "conversions": 123,
    "engagement": 123,
    "link_clicks": 123
  },
  "snapchat": {},
  "source_account_id": "<string>",
  "source_created_at": "2023-11-07T05:31:56Z",
  "source_id": "<string>",
  "threads": {},
  "tiktok": {},
  "tiktok_ad": {},
  "twitter": {},
  "updated_at": "2023-11-07T05:31:56Z",
  "variants": [],
  "video": {
    "sizes": {
      "original": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "medium_square": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "original_converted": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "small": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "small_square": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      }
    },
    "duration": 123,
    "editor_data": {
      "aspect_ratio": "<string>"
    },
    "frame_rate": 123,
    "thumbnails": {
      "medium_square": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "original": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "original_converted": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "small": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      },
      "small_square": {
        "url": "<string>",
        "height": 123,
        "size": 123,
        "width": 123
      }
    },
    "transforms": {
      "crop": {
        "height": 123,
        "width": 123,
        "x": 123,
        "y": 123
      },
      "disable_audio_track": true,
      "parent_media_id": 123,
      "trim": {
        "end_time": 123,
        "start_time": 123
      }
    },
    "video_conversion_warnings": "<unknown>"
  },
  "video_predictions": {
    "engagement": [
      123
    ]
  },
  "video_predictions_interval_sec": 123,
  "video_suggested_thumbnail_list": [
    {
      "frame_position": 123,
      "index": 123,
      "predictions": {
        "engagement": 123
      },
      "url": "<string>"
    }
  ],
  "visual_features": "<string>",
  "youtube": {}
}

Documentation Index

Fetch the complete documentation index at: https://developer.dashsocial.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

brand_id
integer<int32>
required

The Dash Social assigned ID of the brand.

media_id
integer<int32>
required

The ID of the media object.

Query Parameters

exclude
enum<string>[]

Comma-separated list of optional fields to exclude.

Available options:
predictions,
source_data,
comment_sentiment,
visual_features
Example:
["source_data"]

Response

OK

source
enum<string>
required

Source of media.

Available options:
INSTAGRAM,
INSTAGRAM_STORY,
PINTEREST,
FACEBOOK,
TIKTOK,
TIKTOK_AD,
TWITTER,
YOUTUBE,
LINKEDIN,
THREADS,
SNAPCHAT,
UPLOAD,
EDITOR,
AI_GENERATION,
FACEBOOK_ADS,
FACEBOOK_LINK,
FACEBOOK_TEXT,
FACEBOOK_TEXT_LINK,
TWITTER_LINK,
TWITTER_TEXT
type
enum<string>
required

Type of media.

Available options:
IMAGE,
VIDEO,
CAROUSEL,
REEL
brand_id
integer
read-only
brand_media_id
integer
read-only
brand_media_status
string
read-only

Status of the brand media (e.g. PROCESSED, HIDDEN, NEW).

callback_socket_id
string

ID of WebSocket to notify when media conversion is complete.

can_publish_within
object

Media is only allowed to be published within this range of dates.

caption_question
object

Whether the caption of this media item includes a question.

caption_sentiment
object

Sentiment as determined by the caption of this media item.

collections
object
read-only

Collections that the media belong to.

comment_sentiment
object

Sentiment as determined by the aggregated comments on this media item.

community_engagement
integer
read-only

Media engagement for community overview

content_rights_expiry_date
string<date-time>
read-only

Expiry date of the content rights.

content_rights_requested_by
string
read-only

User ID of the person who requested content rights.

content_rights_requested_date
string<date-time>
read-only

Date when the content rights were requested.

content_rights_type
enum<string>
read-only

Content rights status of the media.

Available options:
APPROVED,
NOT_REQUESTED,
REQUESTED,
LAPSED,
FAILED,
EXPIRED
content_tags
any[]

content tag names that brand media can be tagged with

Example:
["Tag 1", "Tag 2"]
created_at
string<date-time>
read-only

An ISO-8601 formatted timestamp of when the object was created.

creator
object

Creator info for the media

custom_metrics
object[]
facebook
object
read-only

Facebook source data.

id
integer
read-only

The object's ID.

image
object

Data if type is IMAGE.

instagram
object
read-only

Instagram source data.

instagram_ads
object
read-only

Instagram ads source data.

instagram_story
object
read-only

Instagram story source data.

instagram_story_frame
object
read-only

Instagram story frame source data.

instagram_user
object
read-only

Instagram User source data.

likeshop
object

Likeshop Stats.

linkedin
object
read-only

LinkedIn source data.

media_group
integer
read-only

Media group ID.

meta
object

Metadata describing this media item.

pinterest
object
read-only

Pinterest source data.

predictions
object

Contains vision predictions for this media. Only returned if include query param contains "predictions".

snapchat
object
read-only

Snapchat source data.

source_account_id
string
read-only

The native ID of the account that created this post, if applicable.

source_created_at
string<date-time>

An ISO-8601 formatted timestamp of when the source object was created.

source_id
string
read-only

Source ID of media.

source_type
enum<string>

Type of source.

Available options:
UGC,
OWNED,
OTHER
threads
object
read-only

Threads source data.

tiktok
object
read-only

TikTok source data.

tiktok_ad
object
read-only

TikTok Ad source data.

twitter
object
read-only

Twitter source data.

updated_at
string<date-time>
read-only

An ISO-8601 formatted timestamp of when the object was last updated.

variants
enum<string>[]

Variants of media: TEXT, LINK

Available options:
TEXT,
LINK
video
object

Data if type is VIDEO.

video_predictions
object

Contains vision predictions for video media, which is a list of prediction values by frame equidistant to the length of the video

video_predictions_interval_sec
number

Time interval for sampled video predictions

video_suggested_thumbnail_list
object[]
visual_features
string
read-only

Visual features string of this media

youtube
object
read-only

YouTube source data